/* $Id: device.c,v 1.1 1997/11/30 22:55:35 wtcorrea Exp $ */

#include <GL/gl.h>
#include <GL/glu.h>
#include "app.h"
#include "device.h"

void dev_clear(void)
{
    glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
    if (app.usegl == USEGL_OFF) {
        glMatrixMode(GL_PROJECTION);
        glLoadIdentity();
        gluOrtho2D(-0.5, (double) app.w - 0.5, -0.5, (double) app.h - 0.5);
        glMatrixMode(GL_MODELVIEW);
        glLoadIdentity();
    }
}

void dev_set_clear_color(double r, double g, double b)
{
    glClearColor((float) r, (float) g, (float) b, (float) 1.0);
}

void dev_set_color(double r, double g, double b, double a)
{
    glColor4d(r, g, b, a);
}

void dev_set_pixel(int x, int y)
{
    glBegin(GL_POINTS);
    glVertex2i(x, y);
    glEnd();
}

void dev_set_viewport(int x, int y, int w, int h)
{
    glViewport(x, y, w, h);
}
